### A free/open-source library for quantitative finance

Classes | Protected Member Functions | Protected Attributes
StochasticProcess1D Class Reference

1-dimensional stochastic process More...

`#include <ql/stochasticprocess.hpp>`

Inheritance diagram for StochasticProcess1D:
[legend]

List of all members.

## Classes

class | discretization
| discretization of a 1-D stochastic process More...

## Public Member Functions

1-D stochastic process interface
virtual Real | x0 () const =0
| returns the initial value of the state variable
virtual Real | drift (Time t, Real x) const =0
| returns the drift part of the equation, i.e.
virtual Real | diffusion (Time t, Real x) const =0
| returns the diffusion part of the equation, i.e.
virtual Real | expectation (Time t0, Real x0, Time dt) const
virtual Real | stdDeviation (Time t0, Real x0, Time dt) const
virtual Real | variance (Time t0, Real x0, Time dt) const
virtual Real | evolve (Time t0, Real x0, Time dt, Real dw) const
virtual Real | apply (Real x0, Real dx) const

## Protected Member Functions

| StochasticProcess1D (const boost::shared_ptr< discretization > &)

## Protected Attributes

boost::shared_ptr< discretization > | discretization_

## Detailed Description

1-dimensional stochastic process

This class describes a stochastic process governed by

## Member Function Documentation

virtual Real expectation | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the expectation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented in HullWhiteForwardProcess, GeneralizedBlackScholesProcess, ExtendedOrnsteinUhlenbeckProcess, GeneralizedOrnsteinUhlenbeckProcess, OrnsteinUhlenbeckProcess, and HullWhiteProcess.

virtual Real stdDeviation | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the standard deviation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented in HullWhiteForwardProcess, ExtendedOrnsteinUhlenbeckProcess, GemanRoncoroniProcess, GeneralizedOrnsteinUhlenbeckProcess, OrnsteinUhlenbeckProcess, and HullWhiteProcess.

virtual Real variance | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the variance of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented in HullWhiteForwardProcess, OrnsteinUhlenbeckProcess, ExtendedOrnsteinUhlenbeckProcess, GeneralizedOrnsteinUhlenbeckProcess, and HullWhiteProcess.

virtual Real evolve | ( | Time | t0,
|  | Real | x0,
|  | Time | dt,
|  | Real | dw
| ) |  | const`[virtual]`

returns the asset value after a time interval according to the given discretization. By default, it returns

where is the expectation and the standard deviation.

Reimplemented in GeneralizedBlackScholesProcess, GemanRoncoroniProcess, and ExtendedBlackScholesMertonProcess.

virtual Real apply | ( | Real | x0,
|  | Real | dx
| ) |  | const`[virtual]`

applies a change to the asset value. By default, it returns .

Reimplemented in GeneralizedBlackScholesProcess, and Merton76Process.